## net.sourceforge.pmd.cpd
Class SourceCode.StringCodeLoader

    java.lang.Object
      net.sourceforge.pmd.cpd.SourceCode.CodeLoader
          net.sourceforge.pmd.cpd.SourceCode.StringCodeLoader

Enclosing class:
  SourceCode

public static class SourceCode.StringCodeLoader
extends SourceCode.CodeLoader

Field Summary
`static java.lang.String` `DEFAULT_NAME`

Constructor Summary
`SourceCode.StringCodeLoader(java.lang.String code)`
`SourceCode.StringCodeLoader(java.lang.String code, java.lang.String name)`

Method Summary
`java.lang.String` `getFileName()`
`java.io.Reader` `getReader()`

Methods inherited from class net.sourceforge.pmd.cpd.SourceCode.CodeLoader
`getCode, load`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

See Also:
  Constant Field Values

Constructor Detail

### SourceCode.StringCodeLoader

    public SourceCode.StringCodeLoader(java.lang.String code)

### SourceCode.StringCodeLoader

    public SourceCode.StringCodeLoader(java.lang.String code,
                                       java.lang.String name)

Method Detail

### getReader

    public java.io.Reader getReader()

  Specified by:
    `getReader` in class `SourceCode.CodeLoader`

### getFileName

    public java.lang.String getFileName()

  Specified by:
    `getFileName` in class `SourceCode.CodeLoader`

Copyright © 2002-2006 InfoEther. All Rights Reserved.